ChunkContextGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.parser

## Class ChunkContextGenerator

- java.lang.Object
- - opennlp.tools.parser.ChunkContextGenerator

- All Implemented Interfaces:
    ChunkerContextGenerator, BeamSearchContextGenerator<TokenTag>

      public class ChunkContextGenerator
      extends Object
      implements ChunkerContextGenerator

  Creates predivtive context for the pre-chunking phases of parsing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkContextGenerator()`
    `ChunkContextGenerator(int cacheSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getContext(int i, String[] words, String[] prevDecisions, Object[] ac)` Deprecated.
    `String[]` | `getContext(int i, String[] words, String[] tags, String[] preds)` Returns the contexts for chunking of the specified index.
    `String[]` | `getContext(int index, TokenTag[] sequence, String[] priorDecisions, Object[] additionalContext)` Returns the context for the specified position in the specified sequence (list).
    `String[]` | `getContext(Object o)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkContextGenerator

          public ChunkContextGenerator()

    - #### ChunkContextGenerator

          public ChunkContextGenerator(int cacheSize)

  - ### Method Detail

    - #### getContext

          @Deprecated
          public String[] getContext(Object o)

      Deprecated.

    - #### getContext

          @Deprecated
          public String[] getContext(int i,
                                                 String[] words,
                                                 String[] prevDecisions,
                                                 Object[] ac)

      Deprecated.

    - #### getContext

          public String[] getContext(int i,
                                     String[] words,
                                     String[] tags,
                                     String[] preds)

      Description copied from interface: `ChunkerContextGenerator`
      Returns the contexts for chunking of the specified index.
      Specified by:
        `getContext` in interface `ChunkerContextGenerator`
      Parameters:
        `i` - The index of the token in the specified toks array for which the context should be constructed.
        `words` - The tokens of the sentence. The `toString` methods of these objects should return the token text.
        `tags` - The POS tags for the the specified tokens.
        `preds` - The previous decisions made in the taging of this sequence. Only indices less than i will be examined.
      Returns:
        An array of predictive contexts on which a model basis its decisions.

    - #### getContext

          public String[] getContext(int index,
                                     TokenTag[] sequence,
                                     String[] priorDecisions,
                                     Object[] additionalContext)

      Description copied from interface: `BeamSearchContextGenerator`
      Returns the context for the specified position in the specified sequence (list).
      Specified by:
        `getContext` in interface `BeamSearchContextGenerator<TokenTag>`
      Parameters:
        `index` - The index of the sequence.
        `sequence` - The sequence of items over which the beam search is performed.
        `priorDecisions` - The sequence of decisions made prior to the context for which this decision is being made.
        `additionalContext` - Any addition context specific to a class implementing this interface.
      Returns:
        the context for the specified position in the specified sequence.

Copyright © 2026 The Apache Software Foundation. All rights reserved.